{% extends "base.html" %}
{% load widget_tweaks %}
{% load static %}

{% block title %}My account{% endblock %}

{% block nav %}
  {% include "parts/nav.html" with active_tab="my_account" %}
{% endblock %}

{% block jumbotron %}
  <h1>My account</h1>
  <p>Information about your Metabase account</p>
{% endblock %}

{% block messages %}
  <div id="messages">
    {%include "parts/information-message.html" %}
  </div>
{% endblock %}
{% block content %}
  <h3>General information</h3>

  <div class="row">
    <label class="col-sm-2">Lastname:</label>
    <div class="col-sm-5">
      {{user.last_name}}
    </div>
  </div>
  <div class="row">
    <label class="col-sm-2">Firsttname:</label>
    <div class="col-sm-5">
      {{user.first_name}}
    </div>
  </div>
  <div class="row">
    <label class="col-sm-2">Email:</label>
    <div class="col-sm-5">
      {{user.email}}
    </div>
  </div>
  <div class="row">
    <label class="col-sm-2">Last login:</label>
    <div class="col-sm-5">
      {{user.last_login}}
    </div>
  </div>
  <div class="row">
    <label class="col-sm-2">Date joined:</label>
    <div class="col-sm-5">
      {{user.date_joined}}
    </div>
  </div>
  <div class="row">
    <label class="col-sm-2">API token command:</label>
    <div class="col-sm-5">
      Authorization: Token {{token.key}}
    </div>
  </div>

  <h3 class="mt-4">Password change</h3>

  {% with WIDGET_ERROR_CLASS="is-invalid" %}
  <form method="post">
    {% csrf_token %}

    <div class="form-group row">
      <label class="col-sm-3 col-form-label" for="{{ form.old_password.id_for_label }}">Old password:</label>
      <div class="col-sm-5">
        {% render_field form.old_password class="form-control"%}
        {%if form.old_password.errors%}
          {%for error in form.old_password.errors%}
            <div class="invalid-feedback">{{ error }}</div>
          {%endfor%}
        {%endif%}
      </div>
    </div>

    <div class="form-group row">
      <label class="col-sm-3 col-form-label" for="{{ form.new_password1.id_for_label }}">New password:</label>
      <div class="col-sm-5">
        {% render_field form.new_password1 class="form-control"%}
        {%if form.new_password1.errors%}
          {%for error in form.new_password1.errors%}
            <div class="invalid-feedback">{{ error }}</div>
          {%endfor%}
        {%endif%}
      </div>
    </div>

    <div class="form-group row">
      <label class="col-sm-3 col-form-label" for="{{ form.new_password2.id_for_label }}">New password confirmation:</label>
      <div class="col-sm-5">
        {% render_field form.new_password2 class="form-control"%}
        {%if form.new_password2.errors%}
          {%for error in form.new_password2.errors%}
            <div class="invalid-feedback">{{ error }}</div>
          {%endfor%}
        {%endif%}
      </div>
    </div>

    <div class="form-group row">
      <div class="col-sm-11 text-center">
        <button class="btn btn-success" type="submit">Change password</button>
      </div>
    </div>

  </form>
  {%endwith%}

{% endblock %}
